@echo off
setlocal

::set OLDQEMU=1
::set QEMUHOST=1

set QEMUDIR=c:\rugxulo\DOS4WIN64_beta1
set QEMU=qemu.exe
if "%OLDQEMU%"=="" set QEMUDIR=c:\rugxulo\qemu
if "%OLDQEMU%"=="" set QEMU=qemu-system-i386.exe

if not exist %QEMUDIR%\%QEMU% goto :eof

set MEM=-m 128
set CPU=-cpu pentium
set BIOS=-L %QEMUDIR%
set BOOT=-boot a -drive file=metados.img,format=raw,index=0,if=floppy
set NET=-netdev user,id=usernet -device ne2k_isa,irq=5,netdev=usernet
if "%OLDQEMU%"=="" set NET=-net nic,model=pcnet -net user
if not "%QEMUHOST%"=="" set HOSTFILES=-drive file=fat:rw:/rugxulo/livecd/metados

set HD=vmdk
REM %QEMUDIR%\qemu-img.exe create -f %HD% metahd.%HD% 100M
for %%a in (metahd.*) do if exist %%a set HARDDISK=-hda %%a

:run
start /b %QEMUDIR%\%QEMU% %MEM% %CPU% %BIOS% %BOOT% %NET% %HARDDISK% %HOSTFILES% -localtime %*
